0

I'm using drupal module upgrader with drush to update the modules which are drupal 7 compatible at the moment. I'm getting this error when I try running drush dmu-analyze MODULE_NAME

enter image description here

I can't seem to find a solution on the net to fix this issue. I have tried re-installing the module or drush. Even when I type drush status I'm also getting this error.

  • In future please include error messages as text rather than screenshots, it makes them easier to search. Thanks! – Clive Jan 10 '18 at 10:03
1

One of the modules in your installation is incorrectly using references to services without quoting them.

e.g.

[@container.namespaces]

instead of the valid:

['@container.namespaces']

The error message doesn't provide enough details to be able to identify which module is causing the problem. It's going to be a contrib/custom one, though, so check the .services.yml file for the extra modules you have installed and you should find the culprit. It's likely to be under a service whose name begins with plugin.manager..

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.